org.h2gis.functions.io.shp

## Class SHPRead

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.functions.io.shp.SHPRead

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class SHPRead
    extends org.h2gis.api.AbstractFunction
    implements org.h2gis.api.ScalarFunction

SQL Function to copy Shape File data into a Table.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`SHPRead()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static void` `readShape(Connection connection, String fileName)` Copy data from Shape File into a new table in specified connection.
`static void` `readShape(Connection connection, String fileName, String tableReference)` Copy data from Shape File into a new table in specified connection.
`static void` `readShape(Connection connection, String fileName, String tableReference, String forceEncoding)` Copy data from Shape File into a new table in specified connection.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### SHPRead

    public SHPRead()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

#### readShape

    public static void readShape(Connection connection,
                                 String fileName,
                                 String tableReference,
                                 String forceEncoding)
                          throws IOException,
                                 SQLException

Copy data from Shape File into a new table in specified connection.

Parameters:
  `connection` - Active connection
  `tableReference` - [[catalog.]schema.]table reference
  `fileName` - File path of the SHP file or URI
  `forceEncoding` - Use this encoding instead of DBF file header encoding property.
Throws:
  `IOException`
  `SQLException`

#### readShape

    public static void readShape(Connection connection,
                                 String fileName,
                                 String tableReference)
                          throws IOException,
                                 SQLException

Copy data from Shape File into a new table in specified connection.

Parameters:
  `connection` - Active connection
  `tableReference` - [[catalog.]schema.]table reference
  `fileName` - File path of the SHP file or URI
Throws:
  `IOException`
  `SQLException`

#### readShape

    public static void readShape(Connection connection,
                                 String fileName)
                          throws IOException,
                                 SQLException

Copy data from Shape File into a new table in specified connection. The newly created table is given the same name as the filename without the ".shp" extension. If such a table already exists, an exception is thrown.

Parameters:
  `connection` - Active connection
  `fileName` - File path of the SHP file or URI
Throws:
  `IOException`
  `SQLException`